Package com.documentum.registry

# Interface IDfRegistry

All Known Subinterfaces:
  `IDfRegistryIniFile`, `IDfRegistryWin32`

All Known Implementing Classes:
  `DfRegistry`, `DfRegistryIniFile`, `DfRegistryWin32`, `DfRemoteRegistry`

public interface IDfRegistry

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ALL_ACCESS`
  `static final String`
  `ALTERNATE_FILEPATHS`
  `static final String`
  `DCTM_ROOT`
  The root key String for Documentum.
  `static final long`
  `HKEY_CLASSES_ROOT`
  `static final long`
  `HKEY_PERFORMANCE_DATA`
  `static final long`
  `HKEY_USERS`
  `static final String`
  `KEY_DELIMITER`
  The universal registry key delimiter.
  `static final long`
  `LOCALMACHINE_ROOT`
  `static final int`
  `READ_ACCESS`
  `static final long`
  `USER_ROOT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `closeKey()`
  `void`
  `createKey()`
  `void`
  `deleteSubKey(String subKey)`
  `void`
  `deleteSubKeys()`
  `void`
  `deleteValue(String name)`
  `void`
  `flush()`
  `IDfList`
  `getBinaryValue(String name)`
  `IDfList`
  `getBinaryValueAt(String name, int index)`
  `IDfList`
  `getBinaryValues(String name)`
  `int`
  `getIntValue(String name)`
  `int`
  `getIntValueAt(String name, int index)`
  `IDfList`
  `getIntValues(String name)`
  `String`
  `getStringValue(String name)`
  `String`
  `getStringValueAt(String name, int index)`
  `IDfList`
  `getStringValues(String name)`
  `int`
  `getValuesSize(String name)`
  `boolean`
  `isSubKey(String subKey)`
  `boolean`
  `isValueNamePresent(String name)`
  `void`
  `openKey(String subKey)`
  `void`
  `reset()`
  `void`
  `setBinaryValue(String name, IDfList data)`
  `void`
  `setBinaryValueAt(String name, int index, IDfList data)`
  `void`
  `setBinaryValues(String name, IDfList data)`
  `void`
  `setIntValue(String name, int data)`
  `void`
  `setIntValueAt(String name, int index, int data)`
  `void`
  `setIntValues(String name, IDfList data)`
  `void`
  `setStringValue(String name, String data)`
  `void`
  `setStringValueAt(String name, int index, String data)`
  `void`
  `setStringValues(String name, IDfList data)`
  `void`
  `setValuesSize(String name, int size)`
  `IDfList`
  `subKeys()`
  `IDfList`
  `values()`

- ## Field Details

  - ### KEY_DELIMITER

    static final String KEY_DELIMITER
    The universal registry key delimiter.
    See Also:
      - Constant Field Values

  - ### DCTM_ROOT

    static final String DCTM_ROOT
    The root key String for Documentum.
    See Also:
      - Constant Field Values

  - ### ALTERNATE_FILEPATHS

    static final String ALTERNATE_FILEPATHS
    See Also:
      - Constant Field Values

  - ### HKEY_CLASSES_ROOT

    static final long HKEY_CLASSES_ROOT
    See Also:
      - Constant Field Values

  - ### USER_ROOT

    static final long USER_ROOT
    See Also:
      - Constant Field Values

  - ### LOCALMACHINE_ROOT

    static final long LOCALMACHINE_ROOT
    See Also:
      - Constant Field Values

  - ### HKEY_USERS

    static final long HKEY_USERS
    See Also:
      - Constant Field Values

  - ### HKEY_PERFORMANCE_DATA

    static final long HKEY_PERFORMANCE_DATA
    See Also:
      - Constant Field Values

  - ### ALL_ACCESS

    static final int ALL_ACCESS
    See Also:
      - Constant Field Values

  - ### READ_ACCESS

    static final int READ_ACCESS
    See Also:
      - Constant Field Values

- ## Method Details

  - ### deleteSubKeys

    void deleteSubKeys() throws DfException
    Throws:
      `DfException`

  - ### closeKey

    void closeKey() throws DfException
    Throws:
      `DfException`

  - ### subKeys

    IDfList subKeys() throws DfException
    Throws:
      `DfException`

  - ### values

    IDfList values() throws DfException
    Throws:
      `DfException`

  - ### openKey

    void openKey(String subKey) throws DfException
    Throws:
      `DfException`

  - ### isSubKey

    boolean isSubKey(String subKey) throws DfException
    Throws:
      `DfException`

  - ### deleteValue

    void deleteValue(String name) throws DfException
    Throws:
      `DfException`

  - ### deleteSubKey

    void deleteSubKey(String subKey) throws DfException
    Throws:
      `DfException`

  - ### getIntValue

    int getIntValue(String name) throws DfException
    Throws:
      `DfException`

  - ### setIntValue

    void setIntValue(String name, int data) throws DfException
    Throws:
      `DfException`

  - ### getStringValue

    String getStringValue(String name) throws DfException
    Throws:
      `DfException`

  - ### setStringValue

    void setStringValue(String name, String data) throws DfException
    Throws:
      `DfException`

  - ### getBinaryValue

    IDfList getBinaryValue(String name) throws DfException
    Throws:
      `DfException`

  - ### setBinaryValue

    void setBinaryValue(String name, IDfList data) throws DfException
    Throws:
      `DfException`

  - ### getIntValues

    IDfList getIntValues(String name) throws DfException
    Throws:
      `DfException`

  - ### setIntValues

    void setIntValues(String name, IDfList data) throws DfException
    Throws:
      `DfException`

  - ### getIntValueAt

    int getIntValueAt(String name, int index) throws DfException
    Throws:
      `DfException`

  - ### setIntValueAt

    void setIntValueAt(String name, int index, int data) throws DfException
    Throws:
      `DfException`

  - ### getStringValues

    IDfList getStringValues(String name) throws DfException
    Throws:
      `DfException`

  - ### setStringValues

    void setStringValues(String name, IDfList data) throws DfException
    Throws:
      `DfException`

  - ### getStringValueAt

    String getStringValueAt(String name, int index) throws DfException
    Throws:
      `DfException`

  - ### setStringValueAt

    void setStringValueAt(String name, int index, String data) throws DfException
    Throws:
      `DfException`

  - ### getBinaryValues

    IDfList getBinaryValues(String name) throws DfException
    Throws:
      `DfException`

  - ### setBinaryValues

    void setBinaryValues(String name, IDfList data) throws DfException
    Throws:
      `DfException`

  - ### getBinaryValueAt

    IDfList getBinaryValueAt(String name, int index) throws DfException
    Throws:
      `DfException`

  - ### setBinaryValueAt

    void setBinaryValueAt(String name, int index, IDfList data) throws DfException
    Throws:
      `DfException`

  - ### getValuesSize

    int getValuesSize(String name) throws DfException
    Throws:
      `DfException`

  - ### setValuesSize

    void setValuesSize(String name, int size) throws DfException
    Throws:
      `DfException`

  - ### reset

    void reset() throws IOException, DfException
    Throws:
      `IOException`
      `DfException`

  - ### flush

    void flush() throws IOException, DfException
    Throws:
      `IOException`
      `DfException`

  - ### createKey

    void createKey() throws DfException
    Throws:
      `DfException`

  - ### isValueNamePresent

    boolean isValueNamePresent(String name) throws DfException
    Throws:
      `DfException`